<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class ModifNoteMail extends Mailable
{
    use Queueable, SerializesModels;
    public $modif;
    /**
     * Create a new message instance.
     *
     * @return void
     */
    public function __construct(array $modif)
    {
        $this->modif = $modif;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        return $this->subject($this->modif['sujet'])
            ->view('emails.modifNote');
    }
}
